.ui-content {
    padding: 0.4em;
    box-sizing: border-box;
}

.ui-mobile .ui-page {
    height: 100%;
    box-sizing: border-box;
}

.ui-mobile .ui-page-active {
    overflow: auto;
    scrollbar-width: none;
}

/* hack default jqmobile css */
body.ui-mobile-viewport {
    position: relative;
}

.ui-mobile .group {
    border-width: 2px;
    border-color: #cccccc;
    border-radius: 5px;
    border-style: solid;
    padding: 3px
}

.ui-mobile fieldset.ui-controlgroup {
    border-width: 0;
    margin: 0.5em;
}

fieldset legend {
    margin-left: 5px;
}

.splitter {
    display: block;
    width: 100%;
    height: 5px;
}

.full-box {
    display: flex;
    position: relative;
    box-sizing: border-box;
    flex-wrap: wrap;
    justify-content: flex-start;
}

.row1 {
    height: 25px;
    align-content: center;
    text-align: center;
    font-size: 14px;
    color: #666666;
}

.narrow .col1 {
    width: 8%;
}

.wide .col1 {
    width: 4%;
}

.col1 .row {
    height: 30px;
    align-content: center;
    text-align: center;
    margin: 0.5em 0;
    font-size: 14px;
    color: #666666;
}

.narrow .col {
    width: 23%;
}

.wide .col {
    width: 11.5%;
}

.half-box {
    width: 50%;
    display: flex;
    position: relative;
    box-sizing: border-box;
    flex-wrap: wrap;
    justify-content: flex-start;
}

.mono-label {
    width: 75px;
    padding-left: 5px;
    align-content: center;
    box-sizing: border-box;
    color: #666666;
    font-size: 14px;
}

.mono-label::after {
    content: ': ';
    white-space: pre;
}

.mono-label-input {
    flex: 1;
    box-sizing: border-box;
    align-content: center;
    min-height: 54px;
    padding: 0;
    position: relative
}

.narrow .mono-label-input,
.narrow .mono-label-content {
    width: 100%;
    flex: none;
}

.mono-label-content {
    flex: 1;
    padding: 0 5px;
    box-sizing: border-box;
    align-content: center;
    min-height: 27px;
    position: relative;
}

.mono-label-inner {
    width: 18px;
    align-content: center;
    box-sizing: border-box;
    color: #666666;
    font-size: 14px;
}

.mono-label-input-inner {
    flex: 1;
    box-sizing: border-box;
    align-content: center;
    min-height: 54px;
    padding-right: 5px;
}

.action-button {
    padding: 0.5em;
    box-sizing: border-box;
    width: 100%;
}

textarea {
    box-sizing: border-box;
}

.consult-list-item {
    cursor: pointer;
    margin-bottom: 0.5em;
}

.user-list-item {
    cursor: pointer;
    margin-bottom: 0.5em;
}

.ui-controlgroup-controls .ui-btn-icon-notext {
    height: 1.5em;
}

.ui-disabled,
.ui-state-disabled,
button[disabled],
.ui-select .ui-btn.ui-state-disabled {
    filter: Alpha(Opacity=100);
    opacity: 1;
    cursor: default !important;
    pointer-events: none;
}

.list-search-bar {
    display: flex;
    justify-content: flex-end;
    flex-wrap: wrap;
}

.list-search-bar span {
    font-size: 14px;
}

.list .fields {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

.narrow .list .fields .field {
    width: 100%;
}

.wide .list .fields .field {
    width: 33.3%;
}

.list .field-label {
    color: #666666;
    display: inline-block;
    width: 75px;
    font-size: 14px;
    box-sizing: border-box;
    text-align: left;
}

.list .field-label::after {
    content: ': ';
    white-space: pre;
}

.list .field span:last-child {
    padding-right: 5px;
    box-sizing: border-box;
}

#info {
    position: fixed;
    box-sizing: border-box;
    top: 50%;
    left: 50%;
    width: 80%;
    padding: 20px 10px;
    border-color: rgb(221, 221, 221);
    border-width: 2px;
    border-style: solid;
    border-radius: 1em;
    z-index: 999;
    text-align: center;
    align-content: center;
    white-space: pre-wrap;
    font-weight: bold;
    font-size: 16px;
    transform: translate(-50%, -50%);
    display: none;
}

.consult-info span:empty {
    position: relative;
    white-space: pre;
    display: block;
    overflow: hidden;
}

.consult-info span:empty::before {
    content: ' ';
}

.consult-info span:empty::after {
    content: ' ';
    position: absolute;
    top: 0;
    left: -45%;
    display: block;
    height: 100%;
    width: 45%;
    background-image: linear-gradient(to left, rgba(204, 204, 204, .05), rgba(204, 204, 204, .3), rgba(204, 204, 204, .6), rgba(204, 204, 204, .3), rgba(204, 204, 204, .05));
    background-image: -moz-linear-gradient(to left, rgba(204, 204, 204, .05), rgba(204, 204, 204, .3), rgba(204, 204, 204, .6), rgba(204, 204, 204, .3), rgba(204, 204, 204, .05));
    background-image: -webkit-linear-gradient(to left, rgba(204, 204, 204, .05), rgba(204, 204, 204, .3), rgba(204, 204, 204, .6), rgba(204, 204, 204, .3), rgba(204, 204, 204, .05));
    animation: loading 1s infinite;
    z-index: 999;
}

@keyframes loading {
    0% {
        left: -45%;
    }

    100% {
        left: 100%;
    }
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    /* display: none; <- Crashes Chrome on hover */
    -webkit-appearance: none;
    margin: 0;
    /* <-- Apparently some margin are still there even though it's hidden */
}

input[type=number] {
    appearance: textfield;
    -moz-appearance: textfield;
    /* Firefox */
}

.ui-btn {
    padding: 0.7em;
}

.ui-select .ui-btn>span {
    text-align: left;
}

div.hint {
    padding: 5px;
    font-size: 14px;
    color: red;
    width: 100%;
    box-sizing: border-box;
}

span.hint {
    font-size: 14px;
    color: red;
    align-content: center;
}

.list-pager {
    display: flex;
    justify-content: flex-end;
}

.list-pager .info {
    align-content: center;
    padding: 5px;
}

.list-pager .actions {
    align-content: center;
    padding: 5px;
}

.ui-btn:disabled {
    color: darkgray;
}

.ui-btn:disabled:focus {
    color: darkgray;
}

.ui-btn:disabled:hover {
    color: darkgray;
}

.ui-btn.ui-btn-red {
    color: white;
    background: red;
}

.ui-btn.ui-btn-red:hover,
.ui-btn.ui-btn-red:active {
    color: white;
    background: orangered;
}

.simple-scrollbar {
    position: fixed;
    right: 0;
    height: 30px;
    width: 6px;
    background: black;
    opacity: 0.5;
    box-sizing: border-box;
    border-radius: 3px;
}

.diopter-wrapper {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 1001;
}

.diopter-bg {
    background-color: white;
    opacity: 0.7;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
}

.diopter-input {
    position: absolute;
    z-index: 1002;
    background-color: white;
    width: 250px;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 0.5em;
    border-radius: 10px;
    border: #666666 solid 1px;
}

.diopter-title {
    font-size: 18px;
    text-align: center;
}

.diopter-value {
    font-weight: bold;
    margin: 0.5em 0;
    font-size: 22px;
    text-align: center;
    font-family: monospace;
}

.diopter-actions-line {
    margin: 0.5em 0;
}

.diopter-actions {
    margin: 0.5em 0;
    text-align: center;
}

.diopter-actions button {
    font-family: monospace;
    margin: 0 0.3em;
    font-size: 16px;
    height: 36px;
    padding: 0 0.5em;
    border-radius: 5px;
}

.diopter-buttons {
    margin-top: 1em;
    text-align: center;
}

.diopter-buttons button {
    font-size: 16px;
    height: 36px;
    padding: 5px;
    border-radius: 5px;
}

.cva-wrapper {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 1001;
}

.cva-bg {
    background-color: white;
    opacity: 0.7;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
}

.cva-input {
    position: absolute;
    z-index: 1002;
    background-color: white;
    width: 250px;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 0.5em;
    border-radius: 10px;
    border: #666666 solid 1px;
}

.cva-title {
    font-size: 18px;
    text-align: center;
}

.cva-value {
    font-weight: bold;
    margin: 0.5em 0;
    font-size: 22px;
    text-align: center;
    font-family: monospace;
}

.cva-actions-line {
    margin: 0.5em 0;
}

.cva-actions {
    margin: 0.5em 0;
    text-align: center;
}

.cva-actions button {
    font-family: monospace;
    margin: 0 0.3em;
    font-size: 16px;
    height: 36px;
    padding: 0 0.5em;
    border-radius: 5px;
}

.cva-buttons {
    margin-top: 1em;
    text-align: center;
}

.cva-buttons button {
    font-size: 16px;
    height: 36px;
    padding: 5px;
    border-radius: 5px;
}

.integer-wrapper {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 1001;
}

.integer-bg {
    background-color: white;
    opacity: 0.7;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
}

.integer-input {
    position: absolute;
    z-index: 1002;
    background-color: white;
    width: 250px;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 0.5em;
    border-radius: 10px;
    border: #666666 solid 1px;
}

.integer-title {
    font-size: 18px;
    text-align: center;
}

.integer-value {
    font-weight: bold;
    margin: 0.5em 0;
    font-size: 22px;
    text-align: center;
    font-family: monospace;
}

.integer-actions-line {
    margin: 0.5em 0;
}

.integer-actions {
    margin: 0.5em 0;
    text-align: center;
}

.integer-actions button {
    font-family: monospace;
    margin: 0 0.3em;
    font-size: 16px;
    width: 36px;
    height: 36px;
    padding: 5px;
    border-radius: 5px;
}

.integer-buttons {
    margin-top: 1em;
    text-align: center;
}

.integer-buttons button {
    font-size: 16px;
    height: 36px;
    padding: 5px;
    border-radius: 5px;
}

.home .count {
    display: inline-block;
    min-width: 32px;
    margin-left: 5px;
    text-align: left;
}

.home .count::before {
    content: '(';
}

.home .count::after {
    content: ')';
}